Package com.google.earth.kml._2

# Class StyleMapPairType

java.lang.Object
com.google.earth.kml._2.StyleMapPairType

public class StyleMapPairType extends Object
<p>Java class for StyleMapPairType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="StyleMapPairType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <all> <element name="key" type="{http://earth.google.com/kml/2.1}styleStateEnum"/> <element ref="{http://earth.google.com/kml/2.1}styleUrl"/> </all> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected StyleStateEnum`
  `key`
  `protected String`
  `styleUrl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleMapPairType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleStateEnum`
  `getKey()`
  Gets the value of the key property.
  `String`
  `getStyleUrl()`
  Gets the value of the styleUrl property.
  `void`
  `setKey(StyleStateEnum value)`
  Sets the value of the key property.
  `void`
  `setStyleUrl(String value)`
  Sets the value of the styleUrl property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    protected StyleStateEnum key

  - ### styleUrl

    protected String styleUrl

- ## Constructor Details

  - ### StyleMapPairType

    public StyleMapPairType()

- ## Method Details

  - ### getKey

    public StyleStateEnum getKey()
    Gets the value of the key property.
    Returns:
      possible object is `StyleStateEnum`

  - ### setKey

    public void setKey(StyleStateEnum value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `StyleStateEnum`

  - ### getStyleUrl

    public String getStyleUrl()
    Gets the value of the styleUrl property.
    Returns:
      possible object is `String`

  - ### setStyleUrl

    public void setStyleUrl(String value)
    Sets the value of the styleUrl property.
    Parameters:
      `value` - allowed object is `String`